cURL
curl --request GET \
--url https://api.readyhealth.com/statement/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.readyhealth.com/statement/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.readyhealth.com/statement/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"template": "<string>",
"externalUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"mimeType": "<string>",
"originalName": "<string>"
},
"context": {
"partnerId": "<string>",
"candidateId": "<string>"
}
}Statements
Get a Statement
Retrieve a statement by ID
GET
/
statement
/
{id}
cURL
Authorizations
Path Parameters
Identifier of the statement to retrieve
Response
200 - application/json
Identifier of the created statement.
Current status of the statement (for example, PENDING or READY).
Template key used to render the statement.
External identifier for the candidate in your system.
If available, the rendered file for this statement.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I